www.cendio.com
Bug 3155 - Machine-wide ssh_known_hosts only found with prefix /opt/thinlinc
: Machine-wide ssh_known_hosts only found with prefix /opt/thinlinc
Status: CLOSED FIXED
: ThinLinc
Client platforms
: 3.0.0
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-05-26 16:32 by
Modified: 2013-05-29 13:20 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2009-05-26 16:32:25
We ship a /opt/thinlinc/etc/ssh_known_hosts with the host key for our demo
system. However, this path is referenced directly by SSH; our binary has this
path hardcoded. This means that if the client is installed with some other
prefix, then this file is not found. In practice, the fact that you need to
accept the demo system host key is perhaps not a big deal, but since we have
this functionality, it would be nice if it worked on all platforms. 

One example of a platform where the prefix is not thinlinc is Futro/eLux.
------- Comment #1 From cendio 2013-03-13 16:56:10 -------
This got fixed as part of bug 4242.
------- Comment #2 From cendio 2013-05-29 11:25:58 -------
Bug 4242 didn't touch any code related to this. Huh?
------- Comment #3 From cendio 2013-05-29 12:54:17 -------
Comment #1 should be a reference to bug 4557.
------- Comment #4 From cendio 2013-05-29 13:20:05 -------
Works great.